package type;
public class AminoAcidHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"AminoAcid",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("code",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(9)),null),new org.omg.CORBA.StructMember("name",org.omg.CORBA.ORB.init().create_string_tc(0),null),new org.omg.CORBA.StructMember("abbreviation",org.omg.CORBA.ORB.init().create_string_tc(0),null)});
	public AminoAcidHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.AminoAcid s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.AminoAcid extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/AminoAcid:1.0";
	}
	public static type.AminoAcid read(org.omg.CORBA.portable.InputStream in)
	{
		type.AminoAcid result = new type.AminoAcid();
		result.code=in.read_char();
		result.name=in.read_string();
		result.abbreviation=in.read_string();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, type.AminoAcid s)
	{
out.write_char(s.code);
out.write_string(s.name);
out.write_string(s.abbreviation);
	}
}
